version 12.1
use Dataset_1992_2009.dta

*** For Table 2
** Model 1: District magnitude only
xtpcse Expenditure_industry Internalization_Index ///
Government_position i.member_state GDP_percapita_lag GDP_Growth_rate_lag Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise correlation(ar1)

** Model 2: All electoral institutions
xtpcse Expenditure_industry c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
Pre_election ///
Government_position i.member_state GDP_percapita_lag GDP_Growth_rate_lag Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise correlation(ar1)

margins, over(Ballot_control) dydx(Internalization_Index) at((mean) VotePool_avg =(.7628215 .2941372))
* VotePool_avg mean=.7628215 if Ballot_control ==0 & CY==0
* VotePool_avg mean=.2941372 if Ballot_control ==1 & CY==0

** Model 3: Electoral and fiscal institutions
xtpcse Expenditure_industry c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
Pre_election ///
c.Government_range c.Del_Tar c.Government_range#c.Del_Tar ///
Government_position i.member_state GDP_percapita_lag GDP_Growth_rate_lag Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise correlation(ar1)

margins, over(Ballot_control) dydx(Internalization_Index) at((mean) VotePool_avg =(.7628215 .2941372))
* VotePool_avg mean=.7628215 if Ballot_control ==0 & CY==0
* VotePool_avg mean=.2941372 if Ballot_control ==1 & CY==0
