version 12.1
use Dataset_1992_2009.dta

******************** Table A1
** 'Horizontal rule aid'
xtpcse Expenditure_Horizontal c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
Pre_election ///
c.Government_range c.Del_Tar c.Del_Tar#c.Government_range ///
Government_position i.member_state GDP_percapita_lag GDP_Growth_rate_lag Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise correlation(ar1)
margins, over(Ballot_control) dydx(Internalization_Index) at((mean) VotePool_avg =(.7628215 .2941372))
* VotePool_avg mean=.7628215 if Ballot_control ==0 & CY==0
* VotePool_avg mean=.2941372 if Ballot_control ==1 & CY==0

** 'Lagged DV'
xtpcse Expenditure_industry Expenditure_industry_lag c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
Pre_election ///
c.Government_range c.Del_Tar c.Del_Tar#c.Government_range ///
Government_position i.member_state GDP_percapita_lag GDP_Growth_rate_lag Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise 
margins, over(Ballot_control) dydx(Internalization_Index) at((mean) VotePool_avg =(.7628215 .2941372))
* VotePool_avg mean=.7628215 if Ballot_control ==0 & CY==0
* VotePool_avg mean=.2941372 if Ballot_control ==1 & CY==0

** 'Ideology - trade interaction' (Clark 2002; Garrett 1998)
xtpcse Expenditure_industry c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
Pre_election ///
c.Government_range c.Del_Tar c.Del_Tar#c.Government_range ///
c.Government_position ///
c.Government_position#c.Trade_openess_lag ///
i.member_state GDP_percapita_lag GDP_Growth_rate_lag c.Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise correlation(ar1)
margins, over(Ballot_control) dydx(Internalization_Index) at((mean) VotePool_avg =(.7628215 .2941372))
* VotePool_avg mean=.7628215 if Ballot_control ==0 & CY==0
* VotePool_avg mean=.2941372 if Ballot_control ==1 & CY==0

** 'Ideology - election interaction'
xtpcse Expenditure_industry c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
c.Pre_election ///
c.Government_range c.Del_Tar c.Del_Tar#c.Government_range ///
c.Government_position ///
c.Government_position#c.Pre_election ///
i.member_state GDP_percapita_lag GDP_Growth_rate_lag c.Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise correlation(ar1)
margins, over(Ballot_control) dydx(Internalization_Index) at((mean) VotePool_avg =(.7628215 .2941372))
* VotePool_avg mean=.7628215 if Ballot_control ==0 & CY==0
* VotePool_avg mean=.2941372 if Ballot_control ==1 & CY==0

**  'Pre-2004 countries'
xtpcse Expenditure_industry c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
Pre_election ///
c.Government_range c.Del_Tar c.Del_Tar#c.Government_range ///
Government_position i.member_state GDP_percapita_lag GDP_Growth_rate_lag Trade_openess_lag EMU_Zone State_aid_regulation if  BG==0 &  CY==0 &  CZ==0 &  EST==0 &  H==0 &  LV==0 &  LIT==0 &  M==0 &  PL==0 &  RO==0 &  SK==0 &  SLO==0, pairwise correlation(ar1)
margins, over(Ballot_control) dydx(Internalization_Index) at((mean) VotePool_avg =(.7711112 .2865743))
* VotePool_avg mean=.7711112 if Ballot_control ==0 & BG==0 &  CY==0 &  CZ==0 &  EST==0 &  H==0 &  LV==0 &  LIT==0 &  M==0 &  PL==0 &  RO==0 &  SK==0 &  SLO==0
* VotePool_avg mean=.2865743 if Ballot_control ==1 & BG==0 &  CY==0 &  CZ==0 &  EST==0 &  H==0 &  LV==0 &  LIT==0 &  M==0 &  PL==0 &  RO==0 &  SK==0 &  SLO==0
