version 12.1
use Dataset_1992_2009.dta

** Figure 1: Upper Panel
xtpcse Expenditure_industry c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
Pre_election ///
Government_position i.member_state GDP_percapita_lag GDP_Growth_rate_lag Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise correlation(ar1)

margins, dydx(Internalization_Index) at((mean) VotePool_avg= (0 (0.01) 1.5) Ballot_control = 1) vsquish post
matrix at=e(at)
matrix at=at[1...,"VotePool_avg"]
matrix list at
parmest, norestore
svmat at
twoway rarea max95 min95 at1, sort color(gs14)|| line estimate at1, clwidth(medium) clcolor(black) ||, legend(off) yscale(noline) xscale(noline) yline(0, lcolor(black)) ///
xtitle(Personal vote) ytitle(Marginal effect of district magnitude) scheme(lean1) note(Note: Ballot control. Model 2) graphregion(fcolor(white))  xsca(titlegap(2)) ysca(titlegap(2)) ///
xlabel(0 0.5 1 1.5)

clear all
use Dataset_1992_2009.dta
** Figure 1: Middle Panel
kdensity VotePool_avg if Ballot_control == 1, xtitle("Personal vote") ytitle("Kernel density") title("")

clear all
use Dataset_1992_2009.dta
** Figure 1: Lower Panel
xtpcse Expenditure_industry c.Internalization_Index ///
i.Ballot_control c.Internalization_Index#i.Ballot_control ///
c.VotePool_avg c.Internalization_Index#c.VotePool_avg ///
Pre_election ///
c.Government_range c.Del_Tar c.Government_range#c.Del_Tar ///
Government_position i.member_state GDP_percapita_lag GDP_Growth_rate_lag Trade_openess_lag EMU_Zone State_aid_regulation if CY==0, pairwise correlation(ar1)

margins, dydx(Internalization_Index) at((mean) VotePool_avg= (0 (0.01) 1.5) Ballot_control = 1) vsquish post
matrix at=e(at)
matrix at=at[1...,"VotePool_avg"]
matrix list at
parmest, norestore
svmat at
twoway rarea max95 min95 at1, sort color(gs14)|| line estimate at1, clwidth(medium) clcolor(black) ||, legend(off) yscale(noline) xscale(noline) yline(0, lcolor(black)) ///
xtitle(Personal vote) ytitle(Marginal effect of district magnitude) scheme(lean1) note(Note: Ballot control. Model 3) graphregion(fcolor(white))  xsca(titlegap(2)) ysca(titlegap(2)) ///
xlabel(0 0.5 1 1.5)
